
Auto Multiple Choice - Support # 827: Mise à jour de documents après transformation question <-> 
questionmult ?

Status: Closed Priority: Normal
Author: Wihl Elm Category: LaTeX
Created: 05/10/2022 Assignee:
Updated: 05/15/2022 Due date:
Description: J'ai bien compris qu'il ne fallait pas mettre à jour les documents une fois les sujets imprimés, mais je n'ai pas 

très bien saisi pourquoi.

Si rien n'est modifié, aucune mise à jour d'AMC ni de LaTeX ni du code n'est faite et que la graine du 
générateur aléatoire a été fixée, est-ce que la mise à jour des documents après la génération des sujets 
pourrait empêcher une correction automatisée ? 

Si la réponse est non, je la repose dans le cas où je transforme une question simple en une questionmult, 
sans autre modification que le barême correspondant. J'ai vu dans la documentation qu'il n'était pas possible 
de changer un question en questionmult et inversement, mais si rien d'autre n'est modifié, la mise à jour des 
documents n'est-elle pas possible ? (Il y a bien le trèfle qui décale le titre de la question, mais si ça ne 
provoque pas de passage à la ligne et que ça ne décale rien en dessous...)

Merci

History
05/10/2022 02:16 pm - Alexis Bienvenüe
> Si rien n'est modifié, aucune mise à jour d'AMC ni de LaTeX ni du code n'est faite et que la graine du générateur aléatoire a été fixée, est-ce que la 
mise à jour des documents après la génération des sujets pourrait empêcher une correction automatisée ?
Non. Mais il n'est pas facile d'être certain·e que tous les styles LaTeX, et AMC, n'ont pas été mis à jour ni modifiés, d'où l'avertissement.
> Si la réponse est non, je la repose dans le cas où je transforme une question simple en une questionmult, sans autre modification que le barême 
correspondant.
Là c'est plus risqué, peut-être que le mélange sera différent. Si vos cases restent exactement au même endroit, vous pouvez faire l'essai. En fait, le 
mieux est de créer un nouveau projet avec les mêmes fichiers source, faire la modification, et utiliser vos scans. De cette façon vous gardez votre 
ancienne version de projet sous la main en cas de problème.

05/10/2022 02:46 pm - Wihl Elm
Oui, je fais toujours 2 ou 3 sauvegardes au cas où, et je fais des tests. Je pose la question au cas où un problème qui ne saute pas aux yeux pourrait 
apparaître.
Merci pour la réponse, je n'avais pas pensé que le mélange pourrait se faire différemment en laissant tout inchangé, et notamment la position relative 
de la question dans la liste des éléments du groupe.

05/10/2022 06:29 pm - Wihl Elm
Si après un examen on se rend compte qu'une question simple fait apparaître deux fois la même réponse, mais une fois en \bonne{} et une fois en 
\mauvaise{} quel serait le meilleur moyen de rattraper le coup ? Basculer en questionmult permettrait d'ajuster la deuxième réponse à la première, mais 
si on devait rester en question simple ? Que donne deux \bonne{} dans une question simple ?

05/10/2022 07:36 pm - Alexis Bienvenüe
> quel serait le meilleur moyen de rattraper le coup ?
Ce n'est pas parfait, mais par exemple pour une question à un point on peut appliquer le barème @\bareme{1}@ pour la bonne réponse marqué 
incorrecte. Elle sera toujours marqué comme mauvaise dans la copie corrigée, mais si l'étudiant l'a cochée il aura tout de même le point.
<pre>
\begin{question}

07/06/2025 1/3



  Texte
  \begin{reponses}
    \mauvaise{Mauvaise 1}
    \bonne{Bonne}
    \mauvaise{Mauvaise 2}
    \mauvaise{Bonne}\bareme{1}
  \end{reponses}
\end{question}
</pre>

05/10/2022 09:36 pm - Wihl Elm
D'accord, parfait merci 

05/12/2022 05:48 pm - Wihl Elm
J'ai quand même fait l'essai de changer une question simple en questionmult (avec un \AMCnoCompleteMulti dedans pour laisser inchangé les 
propositions de réponses).

Je n'ai constaté aucune différence de mélange sur 200 copies de 4 pages recto/verso avec des questions mélangées, construites à partir de variables 
également mélangées, et des réponses tout autant mélangées.

Par contre, l'ajout du trèfle dans le titre indiquant une réponse multiple provoque un très léger décalage vertical qui je pense pourrait occasionner 
(rarement certes, et je ne l'ai d'ailleurs pas constaté dans mes 1600 pages) un changement de pagination nuisant à la correction automatique.

Une solution pourrait être de mettre une option locale à un questionmult pour ne pas ajouter de trèfle dans le titre et donc garder la même apparence 
qu'une question simple.

05/13/2022 06:01 pm - Frédéric Bréal
C'est cette commande que vous devez modifier.
<pre>
\def\AMCbeginQuestion#1#2
</pre>

05/13/2022 06:09 pm - Wihl Elm
De façon globale oui, mais localement ça peut marcher aussi ? L'idée est de ne désactiver le trèfle que sur les questions qui seraient converties de 
simple à multiple pour récupérer une erreur de sujet telle que celle mentionnée plus haut.

05/13/2022 06:24 pm - Frédéric Bréal
Il suffit d'encadrer la question par des accolades ouvrante et fermante.
<pre>
{\def\AMCbeginQuestion#1#2
\begin{questionmult}
\end{questionmult}
}
</pre>

05/13/2022 06:33 pm - Wihl Elm
super merci

05/15/2022 07:38 pm - Alexis Bienvenüe
- Status changed from New to Closed

07/06/2025 2/3



- % Done changed from 0 to 100
